পাঠ্য আৰু তালিকা সঁজুলি
কাৰ্যকৰী তথ্য আপলোড নকৰাকৈ বিষয়বস্তু পৰিষ্কাৰ কৰক, তুলনা কৰক আৰু মাপি লওক.
পাঠ্য শাৰীসমূহ কেন্দ্ৰত ৰাখক
ব্ল্যাঙ্ক শাৰীসমূহ অক্ষুণ্ণ ৰাখি আৰু ধ্বংসাত্মক কাটছাঁট প্ৰত্যাখ্যান কৰি প্ৰতিটো শাৰীক সঠিক ইউনিক’ড-অক্ষৰ প্ৰস্থৰ ভিতৰত কেন্দ্ৰিত কৰক।
সঁজুলি খোলক →শব্দসমূহৰ পৰা উপসৰ্গ আঁতৰাওক
মিল থকা ইউনিক’ড শব্দৰ পৰা এটা সঠিক আৰম্ভণিৰ খণ্ড আঁতৰাওক আৰু যতিচিহ্ন, ফাঁক আৰু মিল নথকা শব্দসমূহ অক্ষুণ্ণ ৰাখক.
সঁজুলি খোলক →শব্দসমূহৰ পৰা উপসৰ্গ আঁতৰাওক
বিচ্ছিন্নকৰণ বা শেষাংশ নষ্ট নকৰাকৈ মিলা ইউনিক’ড শব্দসমূহৰ পৰা এটা সঠিক শেষাংশ আঁতৰাওক।
সঁজুলি খোলক →অক্ষৰসমূহৰ মাজত বিভাজক সন্নিৱিষ্ট কৰক
এমোজিৰ দৰে surrogate pair-সমূহক অবৈধ আধা-অংশত বিভক্ত নকৰাকৈ Unicode code point-সমূহৰ মাজত এটা নিৰ্বাচিত বিভাজক ৰাখক.
সঁজুলি খোলক →প্ৰত্যেক পাঠৰ শাৰী উদ্ধৃত কৰক
প্ৰতিটো শাৰী দুটা উদ্ধৃতি চিহ্ন, একক উদ্ধৃতি চিহ্ন বা ব্যাকটিকত মোৰক দি, খালি শাৰীসমূহ আৰু মূল শাৰী-ক্রম অক্ষুণ্ণ ৰাখক.
সঁজুলি খোলক →পাঠৰ শাৰীৰ পৰা উদ্ধৃতি চিহ্ন আঁতৰাওক
স্বয়ংক্রিয় বা স্পষ্ট কোট-শৈলী মিলান ব্যৱহাৰ কৰি প্ৰতিটো শাৰীৰ পৰা এটা সমতা থকা বাহিৰৰ উদ্ধৃতি-যোৰ আঁতৰাওক।
সঁজুলি খোলক →প্ৰতিটো শব্দ উদ্ধৃত কৰক
প্ৰতিটো Unicode শব্দ টোকেন এটা নিৰ্বাচিত উদ্ধৃতি চিহ্নেৰে ঘেৰি ৰাখক, কমা, বিৰামচিহ্ন আৰু মূল whitespace অক্ষুণ্ণ ৰাখি।
সঁজুলি খোলক →শব্দৰ পৰা উদ্ধৃতি আঁতৰাওক
দুয়োটা উদ্ধৃতি চিহ্ন মিলিলে পৃথকভাৱে উদ্ধৃত Unicode শব্দসমূহ আনৰেপ কৰক, কিন্তু গদ্যৰ পৰা অসংগত উদ্ধৃতি চিহ্ন আঁতৰাব নালাগে।
সঁজুলি খোলক →খালী লাইনসমূহ স্বাভাৱিক কৰক
ইণ্ডেন্টেশন আৰু প্ৰতিটো খালী নহোৱা শাৰী সংৰক্ষণ কৰি পৰপর শূন্য শাৰীৰ সংখ্যা সঠিকভাৱে এটা সৰ্বাধিক মানলৈ সীমাবদ্ধ কৰক।
সঁজুলি খোলক →স্পেচসমূহক নতুন পংক্তিলৈ ৰূপান্তৰ কৰক
প্ৰতিটো whitespace-দ্বাৰা পৃথক কৰা টোকেনক এটা এটাকৈ লাইনলৈ ৰূপান্তৰ কৰক আৰু পুনৰাবৃত্তি হোৱা space, tab আৰু আগৰ line break-সমূহ নিৰ্ধাৰিতভাৱে সংকুচিত কৰক।
সঁজুলি খোলক →নতুন লাইনসমূহক এটা পৃথককৰলৈ ৰূপান্তৰ কৰক
প্ৰতি শাৰীৰ কেৱল বাহ্যিক whitespace কাটি, এটা কনফিগাৰ কৰিব পৰা বিভাজকেৰে non-empty টেক্সট লাইনসমূহ একেলগ কৰক.
সঁজুলি খোলক →শব্দৰ আৱৰ্তন বিশ্লেষক
সমন্বয়যোগ্য ন্যূনতম দৈৰ্ঘ্য, ফলাফল সীমা আৰু কেছ-সংবেদনশীল তুলনাসহ Unicode শব্দসমূহক উপস্থিতিৰ সংখ্যাৰ আধাৰত ৰেংক কৰক।
সঁজুলি খোলক →শব্দৰ ভিতৰত আখৰসমূহ সজাওক
প্ৰত্যেক শব্দৰ ভিতৰত ইউনিক’ড আখৰ আৰু সংখ্যা স্বাধীনভাৱে সজাওক, যতিহেৰি বা শব্দবোৰ নিজে নেৰা-নেলি নকৰাকৈ।
সঁজুলি খোলক →সকলো লিখিত আখৰ শ্ৰেণীবদ্ধ কৰক
ইচ্ছামতো শ্বেতস্থান আঁতৰাই আৰু আৰোহী বা অৱরোহী দিশ স্পষ্টকৈ নিৰ্দিষ্ট কৰি সমগ্ৰ ইনপুটৰ সকলো Unicode code point সজাওক।
সঁজুলি খোলক →সংখ্যা টেক্সট বাক্যসমূহ
প্ৰতিটো চিনাক্ত কৰা বাক্যক নিজ নিজ নম্বৰযুক্ত শাৰীত ৰাখক, এটা বিন্যাসযোগ্য আৰম্ভণি মান আৰু তিনিটা সহজে পঢ়িব পৰা মাৰ্কাৰ শৈলীৰ সৈতে.
সঁজুলি খোলক →সংখ্যা পাঠ্য অনুচ্ছেদসমূহ
প্ৰতিটো অনুচ্ছেদৰ ভিতৰুৱা লাইন-ব্ৰেক আৰু ফৰ্মেটিং অক্ষুণ্ণ ৰাখি খালী-লাইনৰে পৃথক কৰা অনুচ্ছেদসমূহক নম্বৰ দিয়ক.
সঁজুলি খোলক →পুনৰুক্ত বাক্য সন্ধানক
কেছ-সংবেদনশীল বা কেছ-অসংবেদনশীল তুলনা ব্যৱহাৰ কৰি পুনৰাবৃত্ত সম্পূৰ্ণ বাক্যসমূহ গণনাসহ তালিকাভুক্ত কৰক।
সঁজুলি খোলক →অনন্য বাক্য নিষ্কাশক
প্ৰত্যেক সম্পূৰ্ণ বাক্যৰ প্ৰথম উপস্থিতিটো ৰাখক আৰু নিৰ্বাচনযোগ্য case নিয়মৰ অধীনত পাছৰ ডুপ্লিকেটসমূহ আঁতৰাওক।
সঁজুলি খোলক →Base32 পাঠ এনকোডাৰ আৰু ডিকোডাৰ
UTF-8 টেক্সটক canonical RFC 4648 Base32 লৈ ৰূপান্তৰ কৰক বা padded বা unpadded Base32 মানটো কঠোৰভাৱে ডিক'ড কৰক।
সঁজুলি খোলক →Base32hex টেক্সট এনকোডাৰ আৰু ডিকোডাৰ
RFC 4648 ৰ ধারা 7-ত সংজ্ঞায়িত বিস্তৃত হেক্সাডেচিমেল Base32 বৰ্ণমালাৰ সৈতে UTF-8 এনকোড আৰু ডিকোড কৰক.
সঁজুলি খোলক →Base45 লিখনী এনকোডাৰ আৰু ডিকোডাৰ
QR-অভিমুখী ডাটা ফৰ্মেটসমূহত ব্যৱহৃত সঙ্কুচিত RFC 9285 Base45 বৰ্ণমালা ব্যৱহাৰ কৰি UTF-8 পাঠ্য ৰূপান্তৰ কৰক।
সঁজুলি খোলক →Base58 Bitcoin পাঠ্য এনকোডাৰ আৰু ডিকোডাৰ
লিডিং শূন্য বাইটসমূহ সঠিকভাৱে সংৰক্ষণ কৰি Bitcoin Base58 বৰ্ণমালা ব্যৱহাৰ কৰি UTF-8 বাইটসমূহ ৰূপান্তৰ কৰক।
সঁজুলি খোলক →Ascii85 পাঠ এনকোডাৰ আৰু ডিকোডাৰ
পাঁচ-অক্ষৰৰ Ascii85 গোটত UTF-8 এনকোড কৰক বা ঐচ্ছিক ডিলিমিটাৰ আৰু z সংকোচনৰ সৈতে কঠোৰ Adobe-সামঞ্জস্যপূৰ্ণ তথ্য ডিকোড কৰক।
সঁজুলি খোলক →উদ্ধৃত-প্ৰিন্টেবল লিখনি এনকোডাৰ আৰু ডিকোডাৰ
UTF-8 মেইল-শৈলীৰ পাঠ্যক RFC 2045 quoted-printable হিচাপে এনকোড কৰক বা যাচাই কৰা uppercase escapes আৰু browser-normalized line breaks ডিকোড কৰক.
সঁজুলি খোলক →এই পৃষ্ঠাত কোনো মিল থকা সঁজুলি নাই।